
package com.lianxin.pubqq.main;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ImageView;
import android.widget.TextView;

//import com.lianxin.panqq.common.Constants;
import com.lianxin.pubqq.R;
import com.lianxin.panqq.common.Utils;
import com.lianxin.panqq.common.BaseActivity;

//公共页面
public class PublicActivity extends BaseActivity implements OnClickListener {
	private TextView txt_title;
	private ImageView img_back;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		setContentView(R.layout.activity_web);		
		super.onCreate(savedInstanceState);

		initControl();
		initView();
		initData();
		setListener();		
	}

	protected void initControl() {
		txt_title = (TextView) findViewById(R.id.txt_title);
		String Name = getIntent().getStringExtra("NAME");
		txt_title.setText(Name);
		img_back = (ImageView) findViewById(R.id.img_back);
		img_back.setVisibility(View.VISIBLE);
	}

	protected void initView() {

	}

	protected void initData() {
	}

	protected void setListener() {
		img_back.setOnClickListener(this);
	}

	@Override
	public void onClick(View v) {
		if (v.getId() == R.id.img_back) {
			Utils.finish(PublicActivity.this);
		}
	}

}
